<div *ngIf="!formVisible" (click)="showForm()" >
  <span *ngIf="hasValue; else noValue"> ... </span>
  <ng-template #noValue> <span class="placeholder"> ... </span> </ng-template>
</div>
<div *ngIf="formVisible"> ... </div>
